<?php  

/*
pChatr2 index.php v.1.0.0

------------------- Parameters

&objt=  - type of object (default "")
&ids=   - ID of sensor (default 1)
&label= - label of sensor (default "")
&unit=  - units (default "")

//Limits
max=    - max value (default "")
min=    - min value (default "")
middle= - middle value (default "")
limit=  - break color (default "")

//RGB active
&caR=   - R component color active (default 230)
&caG=   - G component color active (default 100)
&caB=   - B component color active (default 100)

//RGB passive
&cpR=   - R component color passive (default 100)
&cpG=   - G component color passive (default 100)
&cpB=   - B component color passive (default 100)

//default colors active
&dca=blue    - &caR=100&caG=160&caB=230
&dca=green   - &caR=100&caG=200&caB=100
&dca=magenta - &caR=200&caG=130&caB=200
&dca=red     - &caR=200&caG=100&caB=100
&dca=gray    - &caR=120&caG=120&caB=120
&dca=orange  - &caR=230&caG=150&caB=70

//default colors passive/alarm
&dcp=blue    - &cpR=100&cpG=160&cpB=230
&dcp=green   - &cpR=100&cpG=200&cpB=100
&dcp=magenta - &cpR=200&cpG=130&cpB=200
&dcp=red     - &cpR=200&cpG=100&cpB=100
&dcp=gray    - &cpR=120&cpG=120&cpB=120
&dcp=orange  - &cpR=230&cpG=150&cpB=70

------------------- pChart2
<img src="/pChart2/...

------------------- objects
therm1
sticker1
*/


//---------------------------- chdir  
 
 chdir('../');
 
//---------------------------- Standard inclusions    

include_once("./config.php");
include_once("./lib/loader.php");
include_once(DIR_MODULES."application.class.php");
include("./pChart/pData.class");   
include("./pChart/pChart.class");  

//---------------------------- MySQL

$db=new mysql(DB_HOST, '', DB_USER, DB_PASSWORD, DB_NAME); // connecting to database
$settings=SQLSelect("SELECT NAME, VALUE FROM settings");

$total=count($settings);
for($i=0;$i<$total;$i++) {
  Define('SETTINGS_'.$settings[$i]['NAME'], $settings[$i]['VALUE']);
}

//---------------------------- Type of object  

if ($_GET['objt']) {
  $objtype=$_GET['objt'];
} else {
   $objtype="";
  }  
  
//---------------------------- ID of sensor 
  
if ($_GET['ids']) {
  $idsens=$_GET['ids'];
} else {
   $idsens=1;
  }
  
//---------------------------- Label of object 
  
if ($_GET['label']) {
  $label=$_GET['label'];
} else {
   $label="";
  } 

  //---------------------------- Label of object 
  
if ($_GET['unit']) {
  $unit=$_GET['unit'];
} else {
   $unit="";
  } 
  
//---------------------------- Limits 
  
if (isset($_GET['max'])) {
  $max=$_GET['max'];
} else {
   $max=-1;
  }   
  
 if (isset($_GET['min'])) {
  $min=$_GET['min'];
} else {
   $min=-1;
  }   

if (isset($_GET['middle'])) {
  $middle=$_GET['middle'];
} else {
   $middle=-1;
  }     

if (isset($_GET['limit'])) {
  $limit=$_GET['limit'];
} else {
   $limit=-1;
  }    
  
//---------------------------- Color acive    
  
if ($_GET['caR']) {
  $caR=$_GET['caR'];
} else {
    $caR=230;
  }
	
if ($_GET['caG']) {
  $caG=$_GET['caG'];
} else {
    $caG=100;
  }
	
if ($_GET['caB']) {
    $caB=$_GET['caB'];
} else {
    $caB=100;
  }

//---------------------------- Color passive/alarm
	
if ($_GET['cpR']) {
    $cpR=$_GET['cpR'];
} else {
    $cpR=100;
  }
	
if ($_GET['cpG']) {
    $cpG=$_GET['cpG'];
} else {
    $cpG=100;
  }
	
if ($_GET['cpB']) {
    $cpB=$_GET['cpB'];
} else {
    $cpB=100;
  }

//---------------------------- Default colors active

if ($_GET['dca']=='blue') {
  $caR=100;$caG=160;$caB=230;
} elseif ($_GET['dca']=='green') {
  $caR=100;$caG=200;$caB=100;
} elseif ($_GET['dca']=='magenta') {
  $caR=200;$caG=130;$caB=200;
} elseif ($_GET['dca']=='red') {
  $caR=200;$caG=100;$caB=100;
} elseif ($_GET['dca']=='gray') {
  $caR=120;$caG=120;$caB=120;
} elseif ($_GET['dca']=='orange') {
  $caR=230;$caG=150;$caB=70;
} else {
  }

//---------------------------- Default colors passive/alarm

if ($_GET['dcp']=='blue') {
  $cpR=100;$cpG=160;$cpB=230;
} elseif ($_GET['dcp']=='green') {
  $cpR=100;$cpG=200;$cpB=100;
} elseif ($_GET['dcp']=='magenta') {
  $cpR=200;$cpG=130;$cpB=200;
} elseif ($_GET['dcp']=='red') {
  $cpR=200;$cpG=100;$cpB=100;
} elseif ($_GET['dcp']=='gray') {
  $cpR=120;$cpG=120;$cpB=120;
} elseif ($_GET['dcp']=='orange') {
  $cpR=230;$cpG=150;$cpB=70;
} else {
  }  
  
//---------------------------- SQL q

  $qValue=SQLSelectOne("SELECT * FROM pvalues WHERE pvalues.ID='$idsens'");
  $currentValue=$qValue[VALUE];  
  
  
//======================================================== Objects

  
//---------------------------- Thermometer

if ($objtype == "therm1") {
  // Settings
  $wid=70; $hei=154;
  $cbg=255;
		 
  // Object + GraphArea	 
  $Test = new pChart($wid,$hei);
  $Test->setGraphArea(0,0,$wid,$hei);  
	
  // Background
  $Test->drawBackground($cbg,$cbg,$cbg);
	
  // Body
  $Test->drawFilledRoundedRectangle(10,10,36,130,8,200,200,200); // body
  $Test->drawFilledCircle(24,130,23,200,200,200,0); // circle body
  $Test->drawFilledRectangle(17,15,29,110,240,240,240,FALSE,100); // white line
	
     // Limits
   
   if ($max!=-1){
     $pmax=$max;
   }else{
     $pmax="";
   }
   
   if ($min!=-1){
     $pmin=$min;
   }else{
     $pmin="";
   }
   
   if ($middle!=-1){
     $pmiddle=$middle;
   }else{
     $pmiddle="";
   }
   
   $Test->setFontProperties("./pChart/Fonts/tahoma.ttf",10);
   $Test->drawTextBox(45,10,60,30,"$pmax",0,255,100,100,ALIGN_LEFT,FALSE,-1,-1,-1,100);
   $Test->drawTextBox(45,50,60,70,"$pmiddle",0,100,100,100,ALIGN_LEFT,FALSE,-1,-1,-1,100);
   $Test->drawTextBox(40,90,55,110,"$pmin",0,100,100,255,ALIGN_LEFT,FALSE,-1,-1,-1,100);
  
   // Color break limit
   $cmR=$caR; $cmG=$caG; $cmB=$caB;
   
   if ($limit!=-1){
     if ($currentValue > $limit) {
       $cmR=$caR; $cmG=$caG; $cmB=$caB;
     } else {
       $cmR=$cpR; $cmG=$cpG; $cmB=$cpB;
     } 
   }
	
   $Test->drawFilledCircle(24,130,16,$cmR,$cmG,$cmB,0); // circle
   $Test->drawFilledRectangle(17,60-$currentValue*1.0,29,120,$cmR,$cmG,$cmB,FALSE,100);
   
    // Marks
   $Test->drawLine(14,20,32,20,150,150,150,FALSE);
   $Test->drawLine(14,40,32,40,150,150,150,FALSE);
   $Test->drawLine(14,60,32,60,150,150,150,FALSE);
   $Test->drawLine(14,80,32,80,150,150,150,FALSE);
   $Test->drawLine(14,100,32,100,150,150,150,FALSE);
     
   // Current temp
   $Test->setFontProperties("./pChart/Fonts/tahoma.ttf",9);
   $Test->drawTextBox(10,122,38,140,"$currentValue"."$unit",0,255,255,255,ALIGN_CENTER,FALSE,-1,-1,-1,100);
		 
//---------------------------- ...

	} elseif ($objtype == "...") {

//---------------------------- ...
	
	} elseif ($objtype == "...") {


//---------------------------- Sticker1	 
	 
	} elseif ($objtype == "sticker1") {
         // Settings
		 $wid=100; $hei=100;
		 $cbg=255;
		 
		 // Object + GraphArea
	     $Test = new pChart($wid,$hei);
         $Test->setGraphArea(0,0,$wid,$hei); 
		 
         // Background
         $Test->drawBackground($cbg,$cbg,$cbg);

         // Draw body
	     $Test->drawFilledRoundedRectangle(0,0,100,100,8,$caR,$caG,$caB); // body
         $Test->drawLine(10,60,90,60,220,220,220,FALSE); // mark
  
	     // Draw value
         $Test->setFontProperties("./pChart/Fonts/tahoma.ttf",24);
         $Test->drawTextBox(20,20,90,40,"$currentValue"."$unit",0,255,255,255,ALIGN_CENTER,FALSE,-1,-1,-1,100);

		 // Draw label
         $Test->setFontProperties("./pChart/Fonts/tahoma.ttf",13);
		 $Test->drawTextBox(10,70,90,80,"$label",0,255,255,255,ALIGN_CENTER,FALSE,-1,-1,-1,100);
	
//---------------------------- ...	
	
	} elseif ($objtype == "...") {
	
//---------------------------- ...	
	
	} elseif ($objtype == "...") {

//---------------------------- Error mess object
	
	} else {
   
    } // end of ($objtype == "...")

//---------------------------- Final
	
 Header("Content-type:image/png");
 imagepng($Test->Picture);

 $db->Disconnect(); // closing database connection